<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/mainLay"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/attachmentsLay"
            android:clipToPadding="false"
            android:paddingBottom="10dp"
            android:paddingTop="10dp" />
        <LinearLayout
            android:id="@+id/fabSearch"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_gravity="bottom|end"
            android:layout_alignParentBottom="true"
            android:layout_alignParentEnd="true"
            android:layout_margin="16dp"
            android:background="@drawable/fablay_bg"
            android:elevation="5dp"
            android:gravity="center">

            <ImageView
                android:id="@+id/fab"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:layout_gravity="center"
                android:padding="10dp"
                android:src="@drawable/floating_channel" />
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/attachmentsLay"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:visibility="gone">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/divider" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingBottom="10dp"
                android:paddingTop="10dp">

                <ImageView
                    android:id="@+id/cameraBtn"
                    android:layout_width="41dp"
                    android:layout_height="41dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="1"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:padding="10dp"
                    android:src="@drawable/camera_attachment" />

                <ImageView
                    android:id="@+id/galleryBtn"
                    android:layout_width="41dp"
                    android:layout_height="41dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="1"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:padding="10dp"
                    android:src="@drawable/upload_gallery" />

                <ImageView
                    android:id="@+id/audioBtn"
                    android:layout_width="41dp"
                    android:layout_height="41dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="1"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:padding="10dp"
                    android:src="@drawable/upload_audio" />

                <ImageView
                    android:id="@+id/drawBtn"
                    android:layout_width="41dp"
                    android:layout_height="41dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="1"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:padding="10dp"
                    android:src="@drawable/ic_cam_draw"
                    app:tint="@color/gradient_end" />

            </LinearLayout>
        </RelativeLayout>

        <!--<RelativeLayout-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_centerInParent="true"-->
        <!--android:visibility="gone">-->

        <!--<include-->
        <!--android:id="@+id/nullLay"-->
        <!--layout="@layout/null_lay"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_centerHorizontal="true"-->
        <!--android:layout_marginBottom="180dp"-->
        <!--android:visibility="gone" />-->

        <!--</RelativeLayout>-->

        <!--<include-->
        <!--android:id="@+id/progress"-->
        <!--layout="@layout/progress_lay"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_centerInParent="true" />-->
        <!--</LinearLayout>-->
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/imageViewLay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:focusable="true"
        app:behavior_hideable="true"
        app:behavior_peekHeight="0dp"
        app:behavior_skipCollapsed="true"
        android:visibility="gone"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

        <ImageView
            android:id="@+id/imgBg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:adjustViewBounds="true"
            android:background="@color/divider" />

        <VideoView
            android:id="@+id/videoView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:adjustViewBounds="true"
            android:visibility="gone"
            android:background="@color/divider" />

        <ImageView
            android:id="@+id/closeBtn"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:padding="15dp"
            android:src="@drawable/cancel"
            app:tint="@color/primarytext" />

        <ImageView
            android:id="@+id/img_forward"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="15dp"
            android:padding="15dp"
            android:src="@drawable/forard_arrow"
            app:tint="@color/primarytext" />

        <ImageView
            android:id="@+id/img_backward"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_alignParentStart="true"
            android:layout_centerVertical="true"
            android:layout_marginStart="15dp"
            android:padding="15dp"
            android:src="@drawable/back_arrow"
            app:tint="@color/primarytext" />

        <ImageView
            android:id="@+id/imgPlay"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:src="@drawable/ic_play_icon" />

        <ProgressBar
            android:id="@+id/progress"
            style="@style/CircularProgress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:visibility="gone"/>
    </RelativeLayout>
</FrameLayout>